from PIL import Image
import numpy as np
from matplotlib import pyplot as plt

def randomGaussianImage(scale, size):
    return np.random.normal(loc = 0, scale = scale, size = size)

# `cmap` source: https://matplotlib.org/3.8.0/api/_as_gen/matplotlib.pyplot.imshow.html
def showImageWithMatplotlib(npArray, title = None, cmap = 'viridis'):
    if title is not None:
        plt.title(title)
    plt.imshow(npArray, cmap = cmap)
    plt.show()

def toPilImage(npArray):
    return Image.fromarray(npArray)